
.stats { 
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;

    height: 12rem;

    margin-bottom: 1rem;
}

.stats > li {
    height: 10rem;
    width: 10rem;
    border-radius: 5rem;
    background-color: rgba(255, 255, 255, 80%);
    color: black;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;

    padding-top: 3rem;

    transition: 
        padding 0.5s ease-in-out 0.07s,
        width 0.5s ease-in-out 0.07s, 
        height 0.5s ease-in-out 0.07s, 
        border-radius 0.5s ease-in-out 0.07s,
        font-size 0.5s ease-in-out 0.07s;
}

.stats > li:hover {
    /* increase size by 5% */
    padding-top: calc(3rem * 1.05);
    height: calc(10rem * 1.05);
    width: calc(10rem * 1.05);
    border-radius: calc(5rem * 1.05);
    /* font-size: 105%; */
}

.stats > li:nth-child(3) {
    background-color: rgba(248, 147, 31, 70%);
    color: white;
}

.stats > li:nth-child(4) {
    background-color: rgba(41, 170, 225, 70%);
    color: white;
}

.stats > li:nth-child(5) {
    background-color: rgba(0, 113, 189, 70%);
    color: white;
}

.stats span {
    text-align: center;
    font-family: 'Montserrat', sans-serif;
}

.stats .number {
    font-size: 220%;
    font-style: italic;
}

.stats .title {
    font-size: 130%;
    font-style: italic;
}


.tour-widget {
    padding: 1rem;
    /* background-color: beige; */
    display: grid;
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 1fr 1.3fr 1fr 1fr 1fr;
    grid-template-areas: "when from . . ."
    ". to timespan amount button";

    font-size: 90%;
    font-family: var(--font-family-accidental);

    user-select: none;
}


.input, button {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: stretch;

    cursor: pointer;

    padding: 0.5rem;

    background-color: var(--color-bg-main);
    font-family: inherit;

    border: 2px solid var(--color-bg-secondary);
    margin: -1px; /* make the borders collapse */

    max-height: 3.5rem;
}

.input .input-content {
    display: flex;
    flex-direction: column;
}

.input .material-icons {
    font-size: 32px;
    color: var(--color-text-secondary);
    margin-right: 0.5rem;
}

.input:hover {
    background-color: var(--color-bg-secondary);
}


button {
    font-size: 100%;
    align-items: center;
    justify-content: center;

    background-color: var(--color-orange);
    color: var(--color-text-reverse);
    font-weight: 600;
}

button:hover {
    filter: brightness(1.1);
}

button:active {
    filter: brightness(0.9);
}

.input .label {
    font-size: 70%;
    color: var(--color-text-secondary);
}

.tour-widget .input {
    min-width: 8rem;
}

.hot-buttons {
    padding: 1rem;

    display: grid;
    grid-template-columns: repeat(auto-fit, 12rem);
    justify-items: left;
    align-items: center;
    justify-content: space-between;
    grid-gap: 0.25rem 0;
}

.hot-button {
    text-decoration: none;
    
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: stretch;

    padding: 0.5rem;

    cursor: pointer;
}

.hot-button .material-icons {
    font-size: 36px;
    margin-right: 0.5rem;
    margin-top: 0.125rem;
}

.hot-button .hot-button-content {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: flex-start;
}

.hot-button .title {
    font-size: 110%;
}

.hot-button:hover .title {
    text-decoration: underline;
}

.hot-button .label {
    font-size: 66%;
    color: var(--color-text-secondary);
    font-family: var(--font-family-accidental);
}

.bottom {
    padding: 1rem;

    font-size: 90%;

    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.bottom > * {
    padding: 0.5rem;
}

.bottom .article {
    padding: 0.5rem 1rem;

    text-decoration: none;
    display: block;

    cursor: pointer;

    border: 2px solid transparent;
    border-radius: 2px;
}

.bottom .article:hover {
    border: 2px solid var(--color-bg-secondary);
}

.bottom .article:hover .title {
    text-decoration: underline;
}

.bottom .article .author {
    color: var(--color-text-secondary);
    font-family: var(--font-family-accidental);
    font-size: 85%;

    margin-bottom: 0.5rem;
}

.bottom .article .more {
    color: var(--color-text-secondary);
    font-size: 85%;
    font-family: var(--font-family-accidental);
}

.bottom .article-showcase .notice {
    font-family: var(--font-family-accidental);
}

.bottom .review {
    padding: 1rem;
}

.bottom .review .author {
    font-family: var(--font-family-accidental);

    display: grid;
    grid-template-columns: 48px auto;
    grid-template-rows: auto auto;
    grid-template-areas: "avatar name"
    "avatar publish-date";

    grid-gap: 0 0.5rem;

    margin-bottom: 0.5rem;
}

.review .author .avatar {
    grid-area: avatar;
    object-fit: cover;
    border-radius: 50%;
    width: 100%;
}

.review .author .name {
    grid-area: name;
}

.review .author .publish-date {
    grid-area: publish-date;
    font-size: 80%;
    color: var(--color-text-secondary);
}

.review .rating {
    font-size: 80%;
    color: var(--color-text-secondary);
}